"use strict";
var electron_1 = require("electron");
var REDUX_INITIAL_STATE = '@@REDUX_INITIAL_STATE';
exports.setWindowInitialState = function (window, state) {
    window[REDUX_INITIAL_STATE] = JSON.stringify(state);
};
exports.initalStateEnhancer = function (createStore) { return function (reducer) {
    var window = electron_1.remote.getCurrentWindow();
    var rawInitialState = window[REDUX_INITIAL_STATE];
    if (rawInitialState === undefined)
        return createStore(reducer);
    try {
        var initialState = JSON.parse(rawInitialState);
        return createStore(reducer, initialState);
    }
    catch (error) {
        throw new Error('Redux Initial State: Invalid State');
    }
}; };
